<template>
  <div class="justify-center">
    <div class="py-16 h-screen bg-gradient-to-r from-orange-from to-orange-to absolute inset-x-0">
      <div class="container m-auto px-6 text-gray-600 md:px-12 xl:px-6">
        <div class="mb-12 space-y-2 text-center">
          <h2 class="text-2xl text-black-gray font-bold md:text-4xl">Bienvenue sur Bookedex</h2>
          <p class="lg:w-6/12 lg:mx-auto">
            Nous sommes deux jeunes étudiants passionés par les films, la musique et la cuisine,
            nous avons déjà réalisé des applications mobiles pour ces 3 thèmes alors nous avons
            souhaité créer une application pour gérer nos lectures.
          </p>
        </div>

        <div class="grid gap-12 lg:grid-cols-2">
          <div
            class="p-1 rounded-xl group sm:flex space-x-6 bg-white bg-opacity-50 shadow-xl hover:rounded-2xl"
          >
            <img
              src="../assets/admin-images/jules.jpg"
              alt="art cover"
              loading="lazy"
              width="1000"
              height="667"
              class="h-56 sm:h-full w-full sm:w-5/12 object-cover object-top rounded-lg transition duration-500 group-hover:rounded-xl"
            />
            <div class="sm:w-7/12 pl-0 p-5">
              <div class="space-y-2">
                <div class="space-y-4">
                  <h4 class="text-2xl font-semibold text-cyan-900">Jules FICHOT</h4>
                  <p class="text-gray-600 text-justify">
                    Salut 👋 Moi c'est Jules, j'avoue je ne lis pas beaucoup, je suis plutôt branché
                    sur la musique et le cinéma ! J'ai quand même lu quelques livres 😄
                  </p>
                </div>
                <br />
                <router-link
                  :to="{ name: 'BooksCreator', params: { id: 0 } }"
                  class="block w-max text-cyan-600"
                  >➡️ Le peu de livres que j'ai lu</router-link
                >
              </div>
            </div>
          </div>
          <div
            class="p-1 rounded-xl group sm:flex space-x-6 bg-white bg-opacity-50 shadow-xl hover:rounded-2xl"
          >
            <img
              src="../assets/admin-images/clementine.jpg"
              alt="art cover"
              loading="lazy"
              width="1000"
              height="667"
              class="h-56 sm:h-full w-full sm:w-5/12 object-cover object-top rounded-lg transition duration-500 group-hover:rounded-xl"
            />
            <div class="sm:w-7/12 pl-0 p-5">
              <div class="space-y-2">
                <div class="space-y-4">
                  <h4 class="text-2xl font-semibold text-cyan-900">Clémentine ROBERT</h4>
                  <p class="text-gray-600 text-justify">
                    Hello ! 😁 Moi, c'est Clémentine, j'ai 23 ans et je suis passionée par la
                    lecture, la cuisine, le cinéma et le dév mobile alors je crée des app pour gérer
                    mes recettes, les films que je vois et maintenant, les livres que je lis! 📚
                  </p>
                  <br />
                </div>

                <router-link
                  :to="{ name: 'BooksCreator', params: { id: 1 } }"
                  class="block w-max text-cyan-600"
                  >➡️ Mes livres favoris</router-link
                >
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "Home",
  data() {
    return {};
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>
